/*
 * Created on 17-apr-2004
 *
 */
package jaCop.exceptions;

/**
 * @author Lompa
 */
public class BadInvocationArgumentException extends JaCOPException {
	
	/* campi */
	private String argument = null;
	private String message = null;
	
	public BadInvocationArgumentException(String argument, String errorMessage){
		this.argument = argument;
		this.message = errorMessage;
	}
	
	public String getMessage(){
		return "Bad invocation argument: " + argument + "\n" + message;
	}

}
